#include <iostream>
#include <cmath>
#include "rootcnt.hpp"

using namespace std;

struct F { double operator()(double x) const { return sin(x); } };
struct F1 { double operator()(double x) const { return cos(x); } };
struct F2 { double operator()(double x) const { return -sin(x); } };

int main() {
   double a, b;
   cout << "a = "; cin >> a;
   cout << "b = "; cin >> b;

   F f; F1 f1; F2 f2;
   RootCount<double> rootcount;
   cout << "# of root(s) = " << rootcount.get_count(f, f1, f2, a, b) << endl;
}
